"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var field_usage_table_1 = __importDefault(require("../field-usage-table/field-usage-table"));
var field_usage_pie_1 = __importDefault(require("../field-usage-pie/field-usage-pie"));
require("./fields-container.css");
var react_hooks_1 = require("@apollo/react-hooks");
var apollo_boost_1 = require("apollo-boost");
var error_1 = __importDefault(require("../error/error"));
var FieldsContainer = function () {
    var _a = react_hooks_1.useQuery(apollo_boost_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        {\n            fieldUsages{\n                name\n                count\n                averageDuration\n                lastRequestTime\n            }\n        }\n    "], ["\n        {\n            fieldUsages{\n                name\n                count\n                averageDuration\n                lastRequestTime\n            }\n        }\n    "]))), { pollInterval: 500 }), loading = _a.loading, error = _a.error, data = _a.data;
    if (loading)
        return (react_1.default.createElement("div", { className: "Fields-Container" },
            react_1.default.createElement("p", null, "Loading..")));
    if (error)
        return (react_1.default.createElement("div", { className: "Fields-Container" },
            react_1.default.createElement(error_1.default, null)));
    if (data.fieldUsages.length == 0)
        return (react_1.default.createElement("div", { className: "Fields-Container" },
            react_1.default.createElement("p", null,
                "Waiting for tracing result...",
                react_1.default.createElement("br", null),
                "Analytics Information appears once you send your apollo-tracing results from your graphql server to the vision server")));
    return (react_1.default.createElement("div", { className: "Fields-Container" },
        react_1.default.createElement("h2", null, "Fields Usage Metrics"),
        react_1.default.createElement("small", null, "Here are some metrics about the usage of your graphql fields"),
        react_1.default.createElement("br", null),
        react_1.default.createElement(field_usage_table_1.default, { results: data }),
        react_1.default.createElement(field_usage_pie_1.default, { results: data })));
};
exports.default = FieldsContainer;
var templateObject_1;
